Subject: [Pana] Re: address change (was RE: Message type reduction (AD comment))

From: Mark Townsley <[email-masked]>
Date: Mon, 05 Mar 2007 11:10:09 +0100

Alper Yegin wrote:
>>>> If you allow messages to come from different source addresses for the
>>>> same session, we are back to coordinating a context ID for the PANA
>>>> session that is somehow unique across the administrative domain.
>>>>
>>>>         
>>> The session is still on the same PAA. PaC is the one changing address.
>>>
>>>       
>> Well, if the PAA is using the PAC source IP, port, and ID to identify
>> the session when control messages arrive, then you cannot allow the
>> control messages to come from different source PAC addresses.
>>     
>
> PANA session is identified by the "PANA session-id" alone, not "source
> address + session-id".
>
>   
>>> I think you are referring to the case when we needed to globally unique
>>> session identifiers. I don't see a need for such a thing in this case.
>>>
>>>       
>> I'm trying to remember who assigns the ID. If it is always the PAA, then
>> yes you are OK here.
>>     
>
> Yes, PAA assigns the session-id.
>   
Very good.

If the PAA always assigns the session-id, then it can keep the id space 
unique without concern for the IP address and Port. I had remembered an 
early discussion about unidirectional vs. bidirectional session ids, and 
did not remember which side was in charge of this new function.

- Mark
> Alper
>> - Mark
>>> Alper

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana